Wacht Bench is live — AI-assisted development for Wacht

Get Thread Messages

GET
/ai/threads/{thread_id}/messages

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Path Parameters

thread_id*string

Query Parameters

before_id?string
after_id?string
limit?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/ai/threads/string/messages"
{
  "status": 0,
  "message": "string",
  "data": {
    "data": [
      {
        "id": "string",
        "content": {
          "type": "user_message",
          "message": "string",
          "sender_name": "string",
          "files": [
            {
              "filename": "string",
              "mime_type": "string",
              "url": "string",
              "size_bytes": 0
            }
          ]
        },
        "timestamp": "string",
        "metadata": {}
      }
    ],
    "has_more": true
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}